Subject: Re: re-licensing pkt-line.c code

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 25 Sep 2008 11:01:25 -0700

Andreas Ericsson <[email-masked]> wrote:
> Scott Chacon wrote:
>>
>> There are about 20-25 lines of code from pkt-line.c that I think were
>> originally written back in 2005 that I would like to use [...]
>>
>> I have to relicense this, since I can't legally distribute my source
>> code for the iphone app due to Apples f**king NDA.  I would like to
>> release my ObjectiveGit project under the MIT (or, alternately, LGPL).
>
>>  I could come up with an alternate way to
>> accomplish the same thing, but it seems like a waste of time to do so,
>> and helpful to nobody.
>
> Well, tracking down the original author(s) could turn out to be harder.

Its already cost more time to ask for permission to reuse these
20-25 lines of code than it would take to figure out how to write
it yourself, and code it.  And Linus still hasn't had a chance to
chime in on this thread.

My guess is you aren't going to get approval from him to relicense
his code.  But he doesn't hold a monopoly on int->hex conversion
algorithms so you should be able to implement something that produces
the same results, given the same inputs, and not have him sue you
in some Utah court.

-- 
Shawn.